Making things a bit more readable.
authoretrunko <eblima@gmail.com>
Mon, 3 Dec 2007 22:30:28 +0000 (22:30 +0000)
committeretrunko <eblima@gmail.com>
Mon, 3 Dec 2007 22:30:28 +0000 (22:30 +0000)
Initial inclusion of automatic build scripts.

trunk/build-all.sh [new file with mode: 0755]
trunk/ecore/debian/rules
trunk/evas/debian/rules
trunk/helper-functions.sh [new file with mode: 0755]

diff --git a/trunk/build-all.sh b/trunk/build-all.sh
new file mode 100755 (executable)
index 0000000..69f2b22
--- /dev/null
@@ -0,0 +1,155 @@
+#!/bin/bash
+
+source "helper-functions.sh"
+__this_script=`basename $0`
+__this_script_dir=`dirname $0`
+
+# git definitions
+__git=`which git`
+__git_clone="$__git clone"
+__git_pull="$__git pull"
+__git_clean="$__git clean"
+__git_repo="git://staff.get-e.org/"
+
+# e17 repositories paths
+__e17_libs="e17/libs"
+__e17_proto="e17/proto"
+__e17_python_efl="$__e17_proto/python-efl"
+__users="users"
+
+# modules
+__lib_modules="edb eet evas ecore embryo edje efreet epeg epsilon emotion etk ewl e_dbus exml enhance"
+__python_modules="python-evas python-ecore python-edje python-epsilon python-e_dbus"
+__user_modules="python-etk"
+
+# dpkg definitions
+__uname=`which uname`
+__arch=`$__uname -m`
+__common_build_pkg_options="-rfakeroot -us -uc -D"
+__build_pkg_options="$__common_build_pkg_options -sa"
+if [ "x$__arch" = "xarm" ] ; then
+    __build_pkg_options="$__common_build_pkg_options -B"
+fi
+
+# other definitions
+__date=`which date`
+__today=`$__date +%Y%m%d`
+
+__head=`which head`
+__distro=`$__head -1 /etc/apt/sources.list|cut -d" " -f3`
+
+__base_pkg_dir="$__this_script_dir/packages_$__today"
+__pkg_dir="$__base_pkg_dir/$__distro/$__arch"
+
+__output_file="$__base_pkg_dir/packages_$__today.log"
+
+
+function clone() {
+    local repo
+    repo=$1
+    `$__git_clone $repo 2>&1 >> $__output_file`
+    return $?
+}
+
+function pull() {
+    `$__git_pull 2>&1 >> $__output_file`
+    return $?
+}
+
+function clean() {
+    echo "clean"
+    return $?
+}
+
+function build_pkg() {
+    echo "build_pkg"
+    return $?
+}
+
+function install_pkg() {
+    echo "install_pkg"
+    return $?
+}
+
+function uninstall_pkg() {
+    echo "uninstall_pkg"
+    return $?
+}
+
+function log_to_file() {
+    local now
+    local msg
+    msg=$1
+
+    if [ ! -r $__output_file ]; then
+        error "Log file  $__output_file does not exist"
+    fi
+
+    now=`$__date +%H:%M:%S`
+    echo "$now: $msg" >> $__output_file
+}
+
+function start_log() {
+    local now
+    now=`$__date -R`
+
+    if [ ! -r $__output_file ]; then
+        touch $__output_file
+    fi
+
+    if [ $? != 0 ] ; then
+        error "Could not create log file $__output_file"
+    fi
+
+    echo "*********************************************************" >> $__output_file
+    echo "* Started $__this_script: $now *" >> $__output_file
+    echo "*********************************************************" >> $__output_file
+    echo "" >> $__output_file
+    echo "Configuration:" >> $__output_file
+    echo "   Distro.: $__distro" >> $__output_file
+    echo "   Arch...: $__arch" >> $__output_file
+    echo "" >> $__output_file
+}
+
+function finish_log() {
+    local now
+    now=`$__date -R`
+
+    if [ ! -r $__output_file ]; then
+        error "Log file  $__output_file does not exist"
+    fi
+
+    echo "" >> $__output_file
+    echo "* Finished $__this_script: $now" >> $__output_file
+    echo "" >> $__output_file
+}
+
+# Initial checks
+# Check if we're running inside scratchbox
+msg_begin "Checking for scratchbox environment"
+test -r /targets/links/scratchbox.config
+msg_end $?
+
+# Begin
+mkdir -p $__pkg_dir
+start_log
+log_to_file "Created $__pkg_dir"
+
+# Check for fakeroot
+
+# Download official modules
+
+# Build package
+
+# Install package
+
+# Download user modules (python-etk)
+
+# Build package
+
+# Install package
+
+# Uninstall all packages
+
+# END
+finish_log
index ce6fd89..40b4918 100755 (executable)
@@ -3,7 +3,21 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS :=  --disable-ecore-fb --disable-ecore-directfb --disable-ecore-evas-gl --disable-ecore-evas-dfb --disable-ecore-evas-xrender --disable-ecore-evas-fb --disable-openssl --disable-abstract-sockets --disable-ecore-ipc --disable-ecore-dbus --disable-ecore-config --disable-ecore-desktop --disable-ecore-sdl --disable-ecore-evas-sdl --enable-ecore-evas-x11-16
+DEB_CONFIGURE_EXTRA_FLAGS :=  --disable-ecore-fb                       \
+                                                         --disable-ecore-directfb              \
+                                                         --disable-ecore-evas-gl               \
+                                                         --disable-ecore-evas-dfb              \
+                                                         --disable-ecore-evas-xrender  \
+                                                         --disable-ecore-evas-fb               \
+                                                         --disable-openssl                             \
+                                                         --disable-abstract-sockets    \
+                                                         --disable-ecore-ipc                   \
+                                                         --disable-ecore-dbus                  \
+                                                         --disable-ecore-config                \
+                                                         --disable-ecore-desktop               \
+                                                         --disable-ecore-sdl                   \
+                                                         --disable-ecore-evas-sdl              \
+                                                         --enable-ecore-evas-x11-16
 
 DEB_CONFIGURE_SCRIPT_ENV += CURL_LIBS="-lcurl"
 
index 75b82be..7227595 100755 (executable)
@@ -3,7 +3,45 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-software-16-x11 --enable-software-x11 --disable-scale-smooth --disable-pthreads --enable-no-dither-mask --enable-small-dither-mask --disable-fb --disable-xrender-x11 --disable-image-loader-tiff --disable-image-loader-edb --disable-image-loader-gif --disable-image-loader-xpm --disable-image-loader-svg --disable-convert-yuv --disable-convert-8-rgb-332 --disable-convert-8-rgb-666 --disable-convert-8-rgb-232 --disable-convert-8-rgb-222 --disable-convert-8-rgb-221 --disable-convert-8-rgb-121 --disable-convert-8-rgb-111 --disable-convert-16-bgr-565 --disable-convert-16-rgb-555 --disable-convert-16-rgb-444 --disable-convert-16-rgb-ipq --disable-convert-16-rgb-rot-180 --disable-convert-16-rgb-rot-270 --disable-convert-16-rgb-rot-90 --disable-convert-24-rgb-888 --disable-convert-24-bgr-888 --disable-convert-32-rgb-8888 --disable-convert-32-rgbx-8888 --disable-convert-32-bgr-8888 --disable-convert-32-bgrx-8888 --disable-convert-32-rgb-rot-0 --disable-convert-32-rgb-rot-180 --disable-convert-32-rgb-rot-270 --disable-convert-32-rgb-rot-90 --disable-sdl 
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-software-16-x11                  \
+                                                        --enable-software-x11                          \
+                                                        --disable-scale-smooth                         \
+                                                        --disable-pthreads                                     \
+                                                        --enable-no-dither-mask                        \
+                                                        --enable-small-dither-mask                     \
+                                                        --disable-fb                                           \
+                                                        --disable-xrender-x11                          \
+                                                        --disable-image-loader-tiff            \
+                                                        --disable-image-loader-edb                     \
+                                                        --disable-image-loader-gif                     \
+                                                        --disable-image-loader-xpm                     \
+                                                        --disable-image-loader-svg                     \
+                                                        --disable-convert-yuv                          \
+                                                        --disable-convert-8-rgb-332            \
+                                                        --disable-convert-8-rgb-666            \
+                                                        --disable-convert-8-rgb-232            \
+                                                        --disable-convert-8-rgb-222            \
+                                                        --disable-convert-8-rgb-221            \
+                                                        --disable-convert-8-rgb-121            \
+                                                        --disable-convert-8-rgb-111            \
+                                                        --disable-convert-16-bgr-565           \
+                                                        --disable-convert-16-rgb-555           \
+                                                        --disable-convert-16-rgb-444           \
+                                                        --disable-convert-16-rgb-ipq           \
+                                                        --disable-convert-16-rgb-rot-180       \
+                                                        --disable-convert-16-rgb-rot-270       \
+                                                        --disable-convert-16-rgb-rot-90        \
+                                                        --disable-convert-24-rgb-888           \
+                                                        --disable-convert-24-bgr-888           \
+                                                        --disable-convert-32-rgb-8888          \
+                                                        --disable-convert-32-rgbx-8888         \
+                                                        --disable-convert-32-bgr-8888          \
+                                                        --disable-convert-32-bgrx-8888         \
+                                                        --disable-convert-32-rgb-rot-0         \
+                                                        --disable-convert-32-rgb-rot-180       \
+                                                        --disable-convert-32-rgb-rot-270       \
+                                                        --disable-convert-32-rgb-rot-90        \
+                                                        --disable-sdl
 
 
 DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
diff --git a/trunk/helper-functions.sh b/trunk/helper-functions.sh
new file mode 100755 (executable)
index 0000000..36dacce
--- /dev/null
@@ -0,0 +1,39 @@
+#!/bin/bash
+# Helper functions for utility scripts.
+
+COLOR_GOOD="\033[1;32m"
+COLOR_WARN="\033[1;33m"
+COLOR_ERROR="\033[1;31m"
+COLOR_NORMAL="\033[0m"
+
+# error <message>
+error() {
+    echo -e " ${COLOR_ERROR}* E:${COLOR_NORMAL} $*"
+    exit 1
+}
+
+# warn <message>
+warn() {
+    echo -e " ${COLOR_WARN}* W:${COLOR_NORMAL} $*"
+}
+
+# msg <message>
+msg() {
+    echo -e " ${COLOR_GOOD}*${COLOR_NORMAL} $*"
+}
+
+# msg_begin <message>
+msg_begin() {
+    echo -en " ${COLOR_GOOD}*${COLOR_NORMAL} $* ..."
+}
+
+# msg_end <error-code>
+msg_end() {
+    echo -en "\033[72G"
+    if [ $1 -eq 0 ]; then
+        echo -e "[ ${COLOR_GOOD}ok${COLOR_NORMAL} ]"
+    else
+        echo -e "[${COLOR_ERROR}fail${COLOR_NORMAL}]"
+        exit 1
+    fi
+}